Go Back   nV News Forums > Linux Support Forums > NVIDIA FreeBSD

Newegg Daily Deals

Reply
 
Thread Tools
Old 01-24-09, 08:34 AM   #1
Lom
Registered User
 
Join Date: Aug 2008
Posts: 5
Default Support for X.Org Server 1.5

X.Org 7.4 was imported to the ports-tree yesterday, now (like on Linux after the similar update), one gets the messages "dlopen: /usr/local/lib/xorg/modules//libwfb.so: Undefined symbol "miZeroLineScreenIndex"" when using the nvidia-driver.

Nvidia guys, could you please recompile the FreeBSD-binary against the new X-ports?

Thanks In Advance
Lom is offline   Reply With Quote
Old 01-24-09, 02:35 PM   #2
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: Support for X.Org Server 1.5

Please see http://www.nvnews.net/vbulletin/showthread.php?t=126195.
zander is offline   Reply With Quote
Old 01-25-09, 03:04 PM   #3
rnejdl
Registered User
 
Join Date: Nov 2007
Location: Dallas, TX
Posts: 96
Default Re: Support for X.Org Server 1.5

FYI, I haven't had to use the ignoreABI flag. I did have to reinstall the NVIDIA driver, though, as the DRI upgrade overwrote the NVIDIA files.

Rusty
rnejdl is offline   Reply With Quote
Old 01-27-09, 03:29 PM   #4
David Marec
Registered User
 
Join Date: Nov 2006
Location: Toulouse, France
Posts: 22
Default Re: Support for X.Org Server 1.5

Quote:
Originally Posted by zander View Post
from my side, the driver failed to load on the following errors, since the last update:
Code:
(II) LoadModule: "glx"

(II) Loading /usr/local/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
        compiled for 4.0.2, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 0.1
(EE) module ABI major version (0) doesn't match the server's version (1)
(II) UnloadModule: "glx"
(II) Unloading /usr/local/lib/xorg/modules/extensions//libglx.so
(EE) Failed to load module "glx" (module requirement mismatch, 0)
(II) LoadModule: "dri"

(II) Loading /usr/local/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
        compiled for 1.5.3, module version = 1.0.0
        ABI class: X.Org Server Extension, version 1.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "nvidia"

(II) Loading /usr/local/lib/xorg/modules/drivers//nvidia_drv.so
dlopen: /usr/local/lib/xorg/modules/drivers//nvidia_drv.so: Undefined symbol "PictureScreenPrivateIndex"
(EE) Failed to load /usr/local/lib/xorg/modules/drivers//nvidia_drv.so
(II) UnloadModule: "nvidia"
(EE) Failed to load module "nvidia" (loader failed, 7)
I never have to use the --ignore-abi option.

The driver is the 96xx one.
David Marec is offline   Reply With Quote
Old 01-27-09, 04:27 PM   #5
rnejdl
Registered User
 
Join Date: Nov 2007
Location: Dallas, TX
Posts: 96
Default Re: Support for X.Org Server 1.5

ahhh.. I'm using the most current 180.22 one which might be the difference.

Rusty
rnejdl is offline   Reply With Quote
Old 01-27-09, 05:48 PM   #6
jnr
Registered User
 
Join Date: Aug 2008
Posts: 16
Default Re: Support for X.Org Server 1.5

I get the same libwfb error with and without ignoreabi (specified as an option in xorg.conf or as "startx -- -ignoreABI") with both 177.80 from Ports and 180.22 installed manually. For now I've taken to using the nv driver and a single screen, since according to Google it doesn't support dualhead.

I guess that's what I get for jumping on the update train without waiting a day or two to read other experiences. Lessons learned.
jnr is offline   Reply With Quote
Old 01-27-09, 05:55 PM   #7
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: Support for X.Org Server 1.5

The most recent NVIDIA FreeBSD graphics driver pre-release is 180.25 (please see http://www.nvnews.net/vbulletin/showthread.php?t=127012). The most recent legacy graphics driver releases (BETA at this point) are: (see 173.14.16 ftp://download.nvidia.com/freebsd/173.14.16), 96.43.10 (see ftp://download.nvidia.com/freebsd/96.43.10) and 71.86.08 (see ftp://download.nvidia.com/freebsd/71.86.08).
zander is offline   Reply With Quote
Old 01-27-09, 08:00 PM   #8
jnr
Registered User
 
Join Date: Aug 2008
Posts: 16
Default Re: Support for X.Org Server 1.5

180.25 works perfectly. Thanks for getting something out so quickly, zander and co.
jnr is offline   Reply With Quote

Old 01-29-09, 04:20 AM   #9
David Marec
Registered User
 
Join Date: Nov 2006
Location: Toulouse, France
Posts: 22
Default Re: Support for X.Org Server 1.5

Quote:
Originally Posted by zander View Post
The most recent legacy graphics driver releases (BETA at this point) are:
96.43.10 (see ftp://download.nvidia.com/freebsd/96.43.10)
Ok for this one, X.Org X Server 1.5.3 now accepts to load it.

But, loading «glx» module failed:

Code:
(II) LoadModule: "glx"
(II) Loading /usr/local/lib/xorg/modules/extensions//libglx.so
dlopen: /usr/local/lib/xorg/modules/extensions//libglx.so: Undefined symbol "_nv000038gl"
(EE) Failed to load /usr/local/lib/xorg/modules/extensions//libglx.so
(II) UnloadModule: "glx"
(EE) Failed to load module "glx" (loader failed, 7)
David Marec is offline   Reply With Quote
Old 01-29-09, 02:00 PM   #10
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: Support for X.Org Server 1.5

@David Marec: are you sure the driver is installed correctly? I just sanity-checked 96.43.10 on one of my systems and don't see any unresolved symbols (e.g. `glxgears` runs fine).
zander is offline   Reply With Quote
Old 01-30-09, 12:07 PM   #11
Ravna
Registered User
 
Join Date: Mar 2007
Posts: 13
Default No luck

I build a new box and installed the smallest possible system from CD.
Then I rebuild world and kernel (FreeBSD 7.1-p2) + Xorg 7.4.
My card is a 9600 GT.

I tried the driver from the ports, then 180.23 and 180.25, with and without the -ignoreABI option.
but always get the message that module wfb could not be loaded.

As a side note,
there are a lot of apps which build, but segfault or complain about illegal instructions,
since xcb was bumped to v2.
E17 pukes, KDE doesnt even start . . .

As jnr said - never jump on the bandwagon too soon.
Ravna is offline   Reply With Quote
Old 01-31-09, 01:42 AM   #12
ZOleg
Registered User
 
Join Date: Jun 2007
Posts: 13
Default Re: No luck

Quote:
Originally Posted by Ravna View Post
I build a new box and installed the smallest possible system from CD.
Then I rebuild world and kernel (FreeBSD 7.1-p2) + Xorg 7.4.
My card is a 9600 GT.

I tried the driver from the ports, then 180.23 and 180.25, with and without the -ignoreABI option.
but always get the message that module wfb could not be loaded.

As a side note,
there are a lot of apps which build, but segfault or complain about illegal instructions,
since xcb was bumped to v2.
E17 pukes, KDE doesnt even start . . .

As jnr said - never jump on the bandwagon too soon.
Same thing with 180.25 and 8800GTX - libwfb cannot be loaded.
ZOleg is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Fujitsu Marries GPUs and Xeon in High-Density HPC Server News Archived News Items 0 06-13-12 07:30 PM
Canonical partners with Microsoft to support Ubuntu on Azure News Archived News Items 0 06-08-12 06:20 AM
Remastered Doom 3 BFG Edition Game Coming with Stereo 3D Support News Archived News Items 0 06-01-12 06:30 AM
96.43.20 does still not support new X.Org ABI 11 - will an update be procuded? joerg.sigle NVIDIA Linux 2 05-27-12 01:09 AM
Official Detonator 40.xx Feedback Thread pelly NVIDIA Windows Graphics Drivers 299 09-22-02 07:54 AM

All times are GMT -5. The time now is 11:32 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright ©1998 - 2014, nV News.